| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ScalarFunctionEvaluatorControl Class Reference

Control for test evaluation of scalar functions. More...

Inheritance diagram for IG.Forms.ScalarFunctionEvaluatorControl:
[legend]
Collaboration diagram for IG.Forms.ScalarFunctionEvaluatorControl:
[legend]

## Public Member Functions
| ScalarFunctionEvaluatorControl (IScalarFunction function, string[] parameterNames, double[] parameterValues)
| Constructs the control, with ANN-based model specified. More...
DataGridView | GetGridControl ()
| Returns the DataGridView control that is used for setting values of the input parameters. More...
void | InitializeCells ()
| Initializes contents of the DataGridView. More...
void | DataToGrid ()
| Copies internal data to grid view. More...
void | DataFromGrid ()
| Copies internal data to grid view. More...
void | ClearCells ()
| Clears contents of all DataGridView cells. More...
void | ClearDataGrid ()
| Removes all the data from the DataGridView. More...
void | ResetToDefault ()
| Resets cells to default values. More...
void | ShowContextMenuControl (object sender, MouseEventArgs e)

## Protected Member Functions
void | SetDefaultParameterNames (int dim, string baseName="x")
| Sets parameter names to default. More...
void | SetDefaultParameterValues (int dim, double defaultValue=0)
| Sets parameter values to default. More...
void | CalculateFunctionValue ()
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
int | _colNumValue = 2
bool | _gridEvents = true

## Properties
IScalarFunction | Function`[get, set]`
| Scalar function that is evaluated by the current control. More...
string[] | ParameterNames`[get, set]`
| Names of function parameters, shown in data grid. More...
double[] | ParameterValues`[get, set]`
| Valuse of parameters, shown in data grid. More...
int | NumParameters`[get, set]`
| Gets or sets number of parameters. More...
int | ColNumValue`[get, protected set]`
| Number of DataGrid Column that contains the value. More...

## Private Member Functions
void | ScalarFunctionEvaluatorControl_MouseClick (object sender, MouseEventArgs e)
void | dGridInputParam_MouseClick (object sender, MouseEventArgs e)
void | btnResetDefault_Click (object sender, EventArgs e)
void | btnCalculate_Click (object sender, EventArgs e)
void | dGridInputParam_CellValueChanged (object sender, DataGridViewCellEventArgs e)
void | resetToDefaultToolStripMenuItem_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
IScalarFunction | _function
string[] | _parameterNames
double[] | _parameterValues
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | groupBox1
System.Windows.Forms.DataGridView | dGridInputParam
System.Windows.Forms.DataGridViewTextBoxColumn | columnID
System.Windows.Forms.DataGridViewTextBoxColumn | columnName
System.Windows.Forms.DataGridViewTextBoxColumn | columnValue
System.Windows.Forms.Button | btnResetDefault
System.Windows.Forms.Button | btnCalculate
System.Windows.Forms.ContextMenuStrip | contextMenuControl
System.Windows.Forms.ToolStripMenuItem | resetToDefaultToolStripMenuItem
System.Windows.Forms.Label | label1
System.Windows.Forms.TextBox | txtValue
System.Windows.Forms.Label | lblParameters

## Detailed Description

Control for test evaluation of scalar functions.

User can define input parameter values and evaluate the function at those parameters.

$A Igor Jul14;

## Constructor & Destructor Documentation

IG.Forms.ScalarFunctionEvaluatorControl.ScalarFunctionEvaluatorControl | ( | IScalarFunction | function,
|  | string[] | parameterNames,
|  | double[] | parameterValues
| ) |  |
| inline

Constructs the control, with ANN-based model specified.

Parameters

  neuralModel | ANN-based model, containing data definitions and trained neural network.

## Member Function Documentation

void IG.Forms.ScalarFunctionEvaluatorControl.SetDefaultParameterNames | ( | int | dim,
|  | string | baseName = `"x"`
| ) |  |
| inline protected

Sets parameter names to default.

Parameters

  dim | Number of parameters.
  baseName | Optiional base name for parameters.

void IG.Forms.ScalarFunctionEvaluatorControl.SetDefaultParameterValues | ( | int | dim,
|  | double | defaultValue = `0`
| ) |  |
| inline protected

Sets parameter values to default.

Parameters

  dim | Number of parameters.
  defaultValue | Optional default value, if not specified then 0.

DataGridView IG.Forms.ScalarFunctionEvaluatorControl.GetGridControl | ( |  | ) |
| inline

Returns the DataGridView control that is used for setting values of the input parameters.

Returns

void IG.Forms.ScalarFunctionEvaluatorControl.InitializeCells | ( |  | ) |
| inline

Initializes contents of the DataGridView.

void IG.Forms.ScalarFunctionEvaluatorControl.DataToGrid | ( |  | ) |
| inline

Copies internal data to grid view.

void IG.Forms.ScalarFunctionEvaluatorControl.DataFromGrid | ( |  | ) |
| inline

Copies internal data to grid view.

References IG.Lib.UtilStr.ToDouble().

void IG.Forms.ScalarFunctionEvaluatorControl.ClearCells | ( |  | ) |
| inline

Clears contents of all DataGridView cells.

void IG.Forms.ScalarFunctionEvaluatorControl.ClearDataGrid | ( |  | ) |
| inline

Removes all the data from the DataGridView.

void IG.Forms.ScalarFunctionEvaluatorControl.ResetToDefault | ( |  | ) |
| inline

Resets cells to default values.

void IG.Forms.ScalarFunctionEvaluatorControl.ShowContextMenuControl | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline

void IG.Forms.ScalarFunctionEvaluatorControl.ScalarFunctionEvaluatorControl_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionEvaluatorControl.dGridInputParam_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionEvaluatorControl.btnResetDefault_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionEvaluatorControl.CalculateFunctionValue | ( |  | ) |
| inline protected

void IG.Forms.ScalarFunctionEvaluatorControl.btnCalculate_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ScalarFunctionEvaluatorControl.dGridInputParam_CellValueChanged | ( | object | sender,
|  | DataGridViewCellEventArgs | e
| ) |  |
| inline private

References IG.Lib.Util.SleepSeconds().

void IG.Forms.ScalarFunctionEvaluatorControl.resetToDefaultToolStripMenuItem_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.ScalarFunctionEvaluatorControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.ScalarFunctionEvaluatorControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

IScalarFunction IG.Forms.ScalarFunctionEvaluatorControl._function
| private

string [] IG.Forms.ScalarFunctionEvaluatorControl._parameterNames
| private

double [] IG.Forms.ScalarFunctionEvaluatorControl._parameterValues
| private

int IG.Forms.ScalarFunctionEvaluatorControl._colNumValue = 2
| protected

bool IG.Forms.ScalarFunctionEvaluatorControl._gridEvents = true
| protected

System.ComponentModel.IContainer IG.Forms.ScalarFunctionEvaluatorControl.components = null
| private

Required designer variable.

System.Windows.Forms.GroupBox IG.Forms.ScalarFunctionEvaluatorControl.groupBox1
| private

System.Windows.Forms.DataGridView IG.Forms.ScalarFunctionEvaluatorControl.dGridInputParam
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.ScalarFunctionEvaluatorControl.columnID
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.ScalarFunctionEvaluatorControl.columnName
| private

System.Windows.Forms.DataGridViewTextBoxColumn IG.Forms.ScalarFunctionEvaluatorControl.columnValue
| private

System.Windows.Forms.Button IG.Forms.ScalarFunctionEvaluatorControl.btnResetDefault
| private

System.Windows.Forms.Button IG.Forms.ScalarFunctionEvaluatorControl.btnCalculate
| private

System.Windows.Forms.ContextMenuStrip IG.Forms.ScalarFunctionEvaluatorControl.contextMenuControl
| private

System.Windows.Forms.ToolStripMenuItem IG.Forms.ScalarFunctionEvaluatorControl.resetToDefaultToolStripMenuItem
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionEvaluatorControl.label1
| private

System.Windows.Forms.TextBox IG.Forms.ScalarFunctionEvaluatorControl.txtValue
| private

System.Windows.Forms.Label IG.Forms.ScalarFunctionEvaluatorControl.lblParameters
| private

## Property Documentation

IScalarFunction IG.Forms.ScalarFunctionEvaluatorControl.Function
| get set

Scalar function that is evaluated by the current control.

string [] IG.Forms.ScalarFunctionEvaluatorControl.ParameterNames
| get set

Names of function parameters, shown in data grid.

double [] IG.Forms.ScalarFunctionEvaluatorControl.ParameterValues
| get set

Valuse of parameters, shown in data grid.

int IG.Forms.ScalarFunctionEvaluatorControl.NumParameters
| get set

Gets or sets number of parameters.

int IG.Forms.ScalarFunctionEvaluatorControl.ColNumValue
| get protected set

Number of DataGrid Column that contains the value.

The documentation for this class was generated from the following files:

- igforms/Numeric/Functions/Develop/ScalarFunctionEvaluatorControl.cs
- igforms/Numeric/Functions/Develop/ScalarFunctionEvaluatorControl.Designer.cs